cURL
curl --request POST 'https://test-api.bvndle.com/api/v1/laas/rules/award/async' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN' \
--data-raw '{
"userId": "ceede6ba-bc5b-460b-a056-b28e5bce803b",
"ruleName": "150000_transfer",
"narration": "test another description field",
"idempotencyKey": "abcdefghijj"
}'
{
"status": "accepted",
"message": "award request accepted",
"data": {
"awardRequestId": "3e5a5bfb-4868-4fc0-b686-4153cf579f3f",
"status": "pending",
"statusUrl": "/laas/rules/award/3e5a5bfb-4868-4fc0-b686-4153cf579f3f"
}
}
{
"status": "accepted",
"message": "award request already exists",
"data": {
"awardRequestId": "3e5a5bfb-4868-4fc0-b686-4153cf579f3f",
"status": "succeeded",
"statusUrl": "/laas/rules/award/3e5a5bfb-4868-4fc0-b686-4153cf579f3f"
}
}
